<div class="container">
    <form (ngSubmit)="editENWord()" [formGroup]="editWordForm">
        <div>
            <h5>inglisekeelne sõna</h5>
        </div>
        <div class="form-group">
            <input type="text"
                   class="form-control"
                   id="enWord"
                   placeholder="English word..."
                   formControlName="originalWord"
                   [ngClass]="{'is-invalid': 
                   (editWordForm.get('originalWord').touched || editWordForm.get('originalWord').dirty)
                   && !editWordForm.get('originalWord').valid }" />
            <span class="invalid-feedback"
                    *ngIf="editWordForm.get('originalWord').errors?.required">Palun sisesta inglisekeelne sõna.</span>
            <span class="invalid-feedback"
                    *ngIf="editWordForm.get('originalWord').errors?.maxlength">Sõna võib olla kuni 50 tähemärki pikk.</span>
        </div>
        <div>
            <h5>eestikeelsed vasted</h5>
        </div>
        <div class="form-group">
            <input type="text"
                   class="form-control"
                   id="ee-word-equivalent-1"
                   placeholder="eestikeelne vaste..."
                   formControlName="firstTranslation"
                   [ngClass]="{'is-invalid': 
                   (editWordForm.get('firstTranslation').touched || editWordForm.get('firstTranslation').dirty)
                   && !editWordForm.get('firstTranslation').valid }" />
            <span class="invalid-feedback"
                    *ngIf="editWordForm.get('firstTranslation').errors?.required">Sõnal peab olema vähemalt üks vaste.</span>
            <span class="invalid-feedback"
                    *ngIf="editWordForm.get('firstTranslation').errors?.maxlength">Vaste saab olla kuni 50 tähemärki.</span>
        </div>
        <div class="form-group">
            <input type="text"
                   class="form-control"
                   id="ee-word-equivalent-2"
                   placeholder="eestikeelne vaste..."
                   formControlName="secondTranslation"
                   [ngClass]="{'is-invalid': 
                   (editWordForm.get('secondTranslation').touched || editWordForm.get('secondTranslation').dirty)
                   && !editWordForm.get('secondTranslation').valid }" />
            <span class="invalid-feedback"
                   *ngIf="editWordForm.get('secondTranslation').errors?.maxlength">Vaste saab olla kuni 50 tähemärki.</span>
        </div>
        <div class="form-group">
            <input type="text"
                   class="form-control"
                   id="ee-word-equivalent-3"
                   placeholder="eestikeelne vaste..."
                   formControlName="thirdTranslation"
                   [ngClass]="{'is-invalid': 
                   (editWordForm.get('thirdTranslation').touched || editWordForm.get('thirdTranslation').dirty)
                   && !editWordForm.get('thirdTranslation').valid }" />
            <span class="invalid-feedback"
                   *ngIf="editWordForm.get('thirdTranslation').errors?.maxlength">Vaste saab olla kuni 50 tähemärki.</span>
        </div>
        <div class="form-group">
            <input type="text"
                   class="form-control"
                   id="ee-word-equivalent-4"
                   placeholder="eestikeelne vaste..."
                   formControlName="fourthTranslation"
                   [ngClass]="{'is-invalid': 
                   (editWordForm.get('fourthTranslation').touched || editWordForm.get('fourthTranslation').dirty)
                   && !editWordForm.get('fourthTranslation').valid }" />
            <span class="invalid-feedback"
                   *ngIf="editWordForm.get('fourthTranslation').errors?.maxlength">Vaste saab olla kuni 50 tähemärki.</span>
        </div>
        <div class="form-group">
            <input type="text"
                   class="form-control"
                   id="ee-word-equivalent-5"
                   placeholder="eestikeelne vaste..."
                   formControlName="fifthTranslation"
                   [ngClass]="{'is-invalid': 
                   (editWordForm.get('fifthTranslation').touched || editWordForm.get('fifthTranslation').dirty)
                   && !editWordForm.get('fifthTranslation').valid }" />
            <span class="invalid-feedback"
                   *ngIf="editWordForm.get('fifthTranslation').errors?.maxlength">Vaste saab olla kuni 50 tähemärki.</span>
        </div>
        <div>
            <button type="button"
                    class="btn btn-success"
                    type="submit"
                    [disabled]="!editWordForm.valid"
            >Salvesta</button>
            <button type="button"
                    class="btn btn-warning"
                    type="submit"
                    [routerLink]="['/ENdict']"
            >Tagasi</button>
            <button type="button"
                    class="btn btn-danger"
                    (click)="deleteENWord()"
            >Kustuta
            </button>
        </div>
    </form>
</div>